# H225_UUIEsRequested Class Reference

`#include <h225.h>`

Inheritance diagram for H225_UUIEsRequested:

List of all members.

## Public Types

enum | OptionalFields { e_status, e_statusInquiry, e_setupAcknowledge, e_notify }

## Public Member Functions

| H225_UUIEsRequested (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_setup
PASN_Boolean | m_callProceeding
PASN_Boolean | m_connect
PASN_Boolean | m_alerting
PASN_Boolean | m_information
PASN_Boolean | m_releaseComplete
PASN_Boolean | m_facility
PASN_Boolean | m_progress
PASN_Boolean | m_empty
PASN_Boolean | m_status
PASN_Boolean | m_statusInquiry
PASN_Boolean | m_setupAcknowledge
PASN_Boolean | m_notify

## Member Enumeration Documentation

enum H225_UUIEsRequested::OptionalFields

Enumerator:

  e_status |
  e_statusInquiry |
  e_setupAcknowledge |
  e_notify |

## Constructor & Destructor Documentation

H225_UUIEsRequested::H225_UUIEsRequested | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_UUIEsRequested::GetDataLength | ( |  | ) | const

PBoolean H225_UUIEsRequested::Decode | ( | PASN_Stream & | strm | ) |

void H225_UUIEsRequested::Encode | ( | PASN_Stream & | strm | ) | const

void H225_UUIEsRequested::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_UUIEsRequested::Compare | ( | const PObject & | obj | ) | const

PObject* H225_UUIEsRequested::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H225_UUIEsRequested::m_setup

PASN_Boolean H225_UUIEsRequested::m_callProceeding

PASN_Boolean H225_UUIEsRequested::m_connect

PASN_Boolean H225_UUIEsRequested::m_alerting

PASN_Boolean H225_UUIEsRequested::m_information

PASN_Boolean H225_UUIEsRequested::m_releaseComplete

PASN_Boolean H225_UUIEsRequested::m_facility

PASN_Boolean H225_UUIEsRequested::m_progress

PASN_Boolean H225_UUIEsRequested::m_empty

PASN_Boolean H225_UUIEsRequested::m_status

PASN_Boolean H225_UUIEsRequested::m_statusInquiry

PASN_Boolean H225_UUIEsRequested::m_setupAcknowledge

PASN_Boolean H225_UUIEsRequested::m_notify

The documentation for this class was generated from the following file:

- h225.h